## net.i2p.router.web
Class NavHelper

    java.lang.Object
      net.i2p.router.web.NavHelper

    public class NavHelper

extends java.lang.Object

Constructor Summary
`NavHelper()`

Method Summary
`java.lang.String` `getClientAppLinks()`
`static void` `registerApp(java.lang.String name, java.lang.String path)` To register a new client application so that it shows up on the router console's nav bar, it should be registered with this singleton.
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context
`static void` `unregisterApp(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavHelper

    public NavHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### registerApp

    public static void registerApp(java.lang.String name,
                                   java.lang.String path)

  To register a new client application so that it shows up on the router console's nav bar, it should be registered with this singleton.

  Parameters:
    `name` - pretty name the app will be called in the link
    `path` - full path pointing to the application's root (e.g. /i2ptunnel/index.jsp)

### unregisterApp

    public static void unregisterApp(java.lang.String name)

### getClientAppLinks

    public java.lang.String getClientAppLinks()